# ..---------------------------------------------------- Android ----------------------------------------------------------
.android_docker_variables: &android_docker_variables
  variables:
    DOCKER_IMAGE_POSTFIX: /android
    DOCKER_FILE_PATH: android/Dockerfile
    DOCKER_CONTEXT: ./android/

.android_docker_changes: &android_docker_changes
  rules:
    - if: '$CI_PIPELINE_SOURCE == "merge_request_event"'
      changes:
        - android/*
      when: on_success

.android_release_changes: &android_release_changes
  rules:
    - if: $CI_MERGE_REQUEST_TARGET_BRANCH_NAME == $CI_DEFAULT_BRANCH
      changes:
        - android/*
      when: on_success

# ----------------------------------------------------------------------------------------------------------------------
Android:Docker:Lint:
  extends: .Docker:Lint
  <<: *android_docker_variables
  rules:
    - if: '$CI_PIPELINE_SOURCE == "merge_request_event"'
      changes:
        - android/Dockerfile

Android:Docker:Build:
  extends: .Docker:Build
  <<: *android_docker_variables
  <<: *android_docker_changes

Android:Docker:Build:Latest:
  extends: .Docker:Build:Latest
  <<: *android_docker_variables
  rules:
    - if: '$CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH'
      changes:
        - android/*

Android:Docker:Check:
  extends: .Docker:Check
  <<: *android_docker_variables
  <<: *android_docker_changes

# ----------------------------------------------------------------------------------------------------------------------
Android:Release:
  extends: .Release
  variables:
    NEXT_VERSION_SCRIPT: "echo sdk-34"
    TAG_PREFIX: "android-"
  # TODO: combine it with _release_changes
  rules:
    - if: $CI_MERGE_REQUEST_TARGET_BRANCH_NAME == $CI_DEFAULT_BRANCH
      changes:
        - android/*
      when: manual

Android:Release:Create:
  extends: .Release:Create
  needs:
    - job: Android:Release
      artifacts: true
  <<: *android_release_changes

Android:Docker:Release:
  extends: .Docker:Release
  <<: *android_docker_variables
  needs:
    - job: Android:Docker:Build
    - job: Android:Release
      artifacts: true
  <<: *android_release_changes
